Subject: [netmod] comments on draft-ietf-netmod-yang-module-versioning-02

From: Andy Bierman <[email-masked]>
Date: Wed, 30 Jun 2021 14:57:46 -0700

Hi,

I have many concerns about the actual deployment of this draft.
It is well-written and very careful and complete in its coverage of the
issues.

The problem is increased complexity and confusion.
The extension procedures will greatly increase the busy work that YANG
authors
are expected to perform. There are a lot of maintenance tasks for
humans to read and write. It is not that clear that automation tools will
rely too much on all this extra metadata added to YANG modules.

The changes to YANG that this draft would impose need to be
clearly identified to YANG readers, writers, and tools,
This should be done by incremented the yang-version field,
as designed into the YANG language. Otherwise it will not
be clear what tools actually support.

The only extension that is really useful is "revision-or-derived".
But I agree with all the concerns originally raised by Martin wrt/
this should be a real-statement instead of an extension.
This is the way import-by-revision should have worked from the start.

The draft contains some reasonable updates to YANG and YANG Guidelines
wrt/ updating a module.. They would be appropriate for a new YANG language
version.

Andy

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 1 Jul 2021 08:07:22 +0200

> wrt/ updating a module.. They would be appropriate for a new YANG language

+1

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>